Bug 520654 - system-config-users won't run in Rawhide
Summary: system-config-users won't run in Rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 16:17 UTC by ed leaver
Modified: 2009-09-03 13:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-03 13:03:25 UTC


Attachments (Terms of Use)

Description ed leaver 2009-09-01 16:17:44 UTC
Description of problem:
As of 8/31/09 system-config-users fails to start. The error comes from /usr/share/system-config-users/mainWindow.py line 98, where the variable "domain" is undefined. Adding a line 97:
domain = "system-config-users"
directly above it seems to fix the problem. But compare this code with the same file in Leonides to see if something else might not be missing as well.

Version-Release number of selected component (if applicable):
Whatever the system-config-users rpm was as of 8/31/09. (I'm having trouble with udev hanging on boot, so am reluctant to try to start F12 to find out.) 

How reproducible:
1. open gterm
2. su
3. system-config-users
... the Python errors are pretty explicit, making the fix trivial 


Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Nils Philippsen 2009-09-03 12:27:23 UTC
fix in git repo

Comment 2 Nils Philippsen 2009-09-03 13:03:25 UTC
version 1.2.90 is building right now


Note You need to log in before you can comment on or make changes to this bug.